PAM_SM_AUTHENTICATE(3)

NAME
pam_sm_authenticate - service module implementation for pam_authenticate

LIBRARY
libpam

SYNOPSIS
#include <sys/types.h>
#include <security/pam_appl.h>
#include <security/pam_modules.h>
int
pam_sm_authenticate(pam_handle_t *pamh, int flags, int argc, const char **argv);

DESCRIPTION
The pam_sm_authenticate function is the service module's implementation of the pam_authenticate(3) API function.

RETURN VALUES
The pam_sm_authenticate function returns one of the following values:

[PAM_ABORT]
    General failure.

[PAM_AUTHINFO_UNAVAIL]
    Authentication information is unavailable.

[PAM_AUTH_ERR]
    Authentication error.

[PAM_BUF_ERR]
    Memory buffer error.

[PAM_CONV_ERR]
    Conversation failure.

[PAM_CRED_INSUFFICIENT]
    Insufficient credentials.

[PAM_IGNORE]
    Ignore this module.

[PAM_MAXTRIES]
    Maximum number of tries exceeded.

[PAM_PERM_DENIED]
    Permission denied.

[PAM_SERVICE_ERR]
    Error in service module.

[PAM_SYSTEM_ERR]
    System error.

[PAM_USER_UNKNOWN]
    Unknown user.

SEE ALSO
pam(3), pam_authenticate(3), pam_strerror(3)

STANDARDS
X/Open Single Sign-On Service (XSSO) - Pluggable Authentication Modules, June 1997.

AUTHORS
The pam_sm_authenticate function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc.& under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.